commit:     b4bacc9b49e54e59c1def89d15ee9a7dcfd0a143
Author:     Gilles Dartiguelongue <eva <AT> gentoo <DOT> org>
AuthorDate: Thu May 14 18:52:01 2015 +0000
Commit:     Gilles Dartiguelongue <eva <AT> gentoo <DOT> org>
CommitDate: Thu May 14 18:52:01 2015 +0000
URL:        https://gitweb.gentoo.org/proj/gnome.git/commit/?id=b4bacc9b

media-libs/grilo: 0.2.11 → 0.2.12

 media-libs/grilo/files/grilo-0.1.16-constants.py | 50 ++++++++++++++
 media-libs/grilo/grilo-0.2.12.ebuild             | 87 ++++++++++++++++++++++++
 media-libs/grilo/metadata.xml                    | 12 ++++
 3 files changed, 149 insertions(+)

diff --git a/media-libs/grilo/files/grilo-0.1.16-constants.py 
b/media-libs/grilo/files/grilo-0.1.16-constants.py
new file mode 100644
index 0000000..e8e2690
--- /dev/null
+++ b/media-libs/grilo/files/grilo-0.1.16-constants.py
@@ -0,0 +1,50 @@
+KEY_NONEXISTING = 'nonexisting-key'
+KEY_ALBUM = 'album'
+KEY_ARTIST = 'artist'
+KEY_AUTHOR = 'author'
+KEY_BITRATE = 'bitrate'
+KEY_CERTIFICATE = 'certificate'
+KEY_CHILDCOUNT = 'childcount'
+KEY_DATE = 'date'
+KEY_DESCRIPTION = 'description'
+KEY_DURATION = 'duration'
+KEY_EXTERNAL_PLAYER = 'external-player'
+KEY_EXTERNAL_URL = 'external-url'
+KEY_FRAMERATE = 'framerate'
+KEY_GENRE = 'genre'
+KEY_HEIGHT = 'height'
+KEY_ID = 'id'
+KEY_LAST_PLAYED = 'last-played'
+KEY_LAST_POSITION = 'last-position'
+KEY_LICENSE = 'license'
+KEY_LYRICS = 'lyrics'
+KEY_MIME = 'mime'
+KEY_PLAY_COUNT = 'play-count'
+KEY_RATING = 'rating'
+KEY_SITE = 'site'
+KEY_SOURCE = 'source'
+KEY_STUDIO = 'studio'
+KEY_THUMBNAIL = 'thumbnail'
+KEY_TITLE = 'title'
+KEY_URL = 'url'
+KEY_WIDTH = 'width'
+
+REGISTERED_KEYS = [KEY_ALBUM, KEY_ARTIST, KEY_AUTHOR, KEY_BITRATE,
+                   KEY_CERTIFICATE, KEY_CHILDCOUNT, KEY_DATE,
+                   KEY_DESCRIPTION, KEY_DURATION, KEY_EXTERNAL_PLAYER,
+                   KEY_EXTERNAL_URL, KEY_FRAMERATE, KEY_GENRE, KEY_HEIGHT,
+                   KEY_ID, KEY_LAST_PLAYED, KEY_LAST_POSITION, KEY_LICENSE,
+                   KEY_LYRICS, KEY_MIME, KEY_PLAY_COUNT, KEY_RATING,
+                   KEY_SITE, KEY_SOURCE, KEY_STUDIO, KEY_THUMBNAIL,
+                   KEY_TITLE, KEY_URL, KEY_WIDTH]
+
+SUPPORTED_OPS = []
+try:
+    from gi.repository import Grl
+    SUPPORTED_OPS = [Grl.SupportedOps.NONE, Grl.SupportedOps.METADATA,
+                     Grl.SupportedOps.RESOLVE, Grl.SupportedOps.BROWSE,
+                     Grl.SupportedOps.SEARCH, Grl.SupportedOps.QUERY,
+                     Grl.SupportedOps.STORE, Grl.SupportedOps.STORE_PARENT,
+                     Grl.SupportedOps.REMOVE, Grl.SupportedOps.SET_METADATA]
+except:
+    pass

diff --git a/media-libs/grilo/grilo-0.2.12.ebuild 
b/media-libs/grilo/grilo-0.2.12.ebuild
new file mode 100644
index 0000000..ae56008
--- /dev/null
+++ b/media-libs/grilo/grilo-0.2.12.ebuild
@@ -0,0 +1,87 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="5"
+GCONF_DEBUG="no" # --enable-debug only changes CFLAGS
+GNOME2_LA_PUNT="yes"
+PYTHON_COMPAT=( python2_7 )
+VALA_MIN_API_VERSION="0.27"
+VALA_USE_DEPEND="vapigen"
+
+inherit gnome2 python-any-r1 vala
+
+DESCRIPTION="A framework for easy media discovery and browsing"
+HOMEPAGE="https://wiki.gnome.org/Projects/Grilo";
+
+LICENSE="LGPL-2.1+"
+SLOT="0.2/1" # subslot is libgrilo-0.2 soname suffix
+KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+
+IUSE="gtk examples +introspection +network playlist test vala"
+REQUIRED_USE="test? ( introspection )"
+
+RDEPEND="
+       >=dev-libs/glib-2.43.1:2
+       dev-libs/libxml2:2
+       net-libs/liboauth
+       gtk? ( >=x11-libs/gtk+-3:3 )
+       introspection? ( >=dev-libs/gobject-introspection-0.9 )
+       network? ( >=net-libs/libsoup-2.41.3:2.4 )
+       playlist? ( >=dev-libs/totem-pl-parser-3.4.1 )
+"
+DEPEND="${RDEPEND}
+       >=dev-util/gtk-doc-am-1.10
+       >=dev-util/intltool-0.40
+       virtual/pkgconfig
+       vala? ( $(vala_depend) )
+       test? (
+               $(python_gen_any_dep '
+                       dev-python/pygobject:2[${PYTHON_USEDEP}]
+                       dev-python/pygobject:3[${PYTHON_USEDEP}]')
+               media-plugins/grilo-plugins:0.2 )
+"
+# eautoreconf requires gnome-common
+
+python_check_deps() {
+       has_version "dev-python/pygobject:2[${PYTHON_USEDEP}]" && \
+               has_version "dev-python/pygobject:3[${PYTHON_USEDEP}]"
+}
+
+pkg_setup() {
+       use test && python-any-r1_pkg_setup
+}
+
+src_prepare() {
+       # Don't build examples
+       sed -e '/SUBDIRS/s/examples//' \
+               -i Makefile.am -i Makefile.in || die
+
+       use vala && vala_src_prepare
+       gnome2_src_prepare
+}
+
+src_configure() {
+       # --enable-debug only changes CFLAGS, useless for us
+       gnome2_src_configure \
+               --disable-static \
+               --disable-debug \
+               $(use_enable gtk test-ui) \
+               $(use_enable introspection) \
+               $(use_enable network grl-net) \
+               $(use_enable playlist grl-pls) \
+               $(use_enable test tests) \
+               $(use_enable vala)
+}
+
+src_install() {
+       gnome2_src_install
+       # Upstream made this conditional on gtk-doc build...
+       emake -C doc install DESTDIR="${ED}"
+
+       if use examples; then
+               # Install example code
+               insinto /usr/share/doc/${PF}/examples
+               doins "${S}"/examples/*.c
+       fi
+}

diff --git a/media-libs/grilo/metadata.xml b/media-libs/grilo/metadata.xml
new file mode 100644
index 0000000..08f4481
--- /dev/null
+++ b/media-libs/grilo/metadata.xml
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+       <herd>gnome</herd>
+       <use>
+               <flag name='network'>Enable network access for media discovery 
using
+                       <pkg>net-libs/libsoup</pkg></flag>
+               <flag name='playlist'>Enable support for playlists through
+                       <pkg>dev-libs/totem-pl-parser</pkg></flag>
+               <flag name='vala'>Generate bindings for 
<pkg>dev-lang/vala</pkg></flag>
+       </use>
+</pkgmetadata>

Reply via email to